%define module_name Proc-tored-Pool
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Moo.pm) perl(Parallel/ForkManager.pm) perl(Path/Tiny.pm) perl(Proc/tored.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test2/Bundle/Extended.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(Type/Library.pm) perl(Type/Tiny.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: managed work pool with Proc::tored and Parallel::ForkManager
Group: Development/Perl
License: perl
URL: https://github.com/jsober/Proc-tored-Pool

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFOBER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides a simple and fast interfact to build and manage a pool of forked
worker processes. The process is controlled using a pidfile and touch file.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/P*

%changelog
* Thu Mar 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Mon Feb 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

